GeoSurfaceRenderer
Date: 2019-10-22

org.jmol.renderspecial

## Class GeoSurfaceRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderspecial.DotsRenderer
    - - org.jmol.renderspecial.GeoSurfaceRenderer

-     public class GeoSurfaceRenderer
      extends DotsRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.P3` | `facePt1`
    `private javajs.util.P3` | `facePt2`
    `private javajs.util.P3` | `facePt3`
    `private boolean` | `requireTranslucent`

    - ### Fields inherited from class org.jmol.renderspecial.DotsRenderer

      `faceMap, iShowSolid, scrCoords, screenDotCount, screenLevel`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoSurfaceRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `render()`
    `protected void` | `renderConvex(short colix, javajs.util.BS visibilityMap, int nPoints)` generic renderer -- dots and geosurface
    `private void` | `renderSurface(javajs.util.BS points)`

    - ### Methods inherited from class org.jmol.renderspecial.DotsRenderer

      `initRenderer, render1, renderDots`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requireTranslucent

          private boolean requireTranslucent

    - #### facePt1

          private javajs.util.P3 facePt1

    - #### facePt2

          private javajs.util.P3 facePt2

    - #### facePt3

          private javajs.util.P3 facePt3

  - ### Constructor Detail

    - #### GeoSurfaceRenderer

          public GeoSurfaceRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Overrides:
        `render` in class `DotsRenderer`

    - #### renderConvex

          protected void renderConvex(short colix,
                                      javajs.util.BS visibilityMap,
                                      int nPoints)

      Description copied from class: `DotsRenderer`
      generic renderer -- dots and geosurface
      Overrides:
        `renderConvex` in class `DotsRenderer`

    - #### renderSurface

          private void renderSurface(javajs.util.BS points)